You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@camel.apache.org by pc...@apache.org on 2022/10/26 13:09:01 UTC

[camel-k] 03/07: fix(ci): proper profile name

This is an automated email from the ASF dual-hosted git repository.

pcongiusti pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/camel-k.git

commit d8faafd0a6196065f0b1b222e920b0c25064d724
Author: Pasquale Congiusti <pa...@gmail.com>
AuthorDate: Fri Oct 21 13:14:30 2022 +0200

    fix(ci): proper profile name
---
 script/get_catalog.sh     |  4 ++--
 script/maven-settings.xml | 52 +++++++++++++++++++++++------------------------
 2 files changed, 28 insertions(+), 28 deletions(-)

diff --git a/script/get_catalog.sh b/script/get_catalog.sh
index 53bbd0be2..60c4195ff 100755
--- a/script/get_catalog.sh
+++ b/script/get_catalog.sh
@@ -15,7 +15,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-set -ex
+set -e
 
 location=$(dirname $0)
 rootdir=$location/../
@@ -38,7 +38,7 @@ rm -f ${rootdir}/resources/camel-catalog-*
 mvn -q dependency:copy -Dartifact="org.apache.camel.k:camel-k-catalog:$runtime_version:yaml:catalog" \
   -DoutputDirectory=${rootdir}/resources/ \
   -s $location/maven-settings.xml \
-  -Papache-snapshots
+  -Papache
 if [ -f "${rootdir}/resources/camel-k-catalog-${runtime_version}-catalog.yaml" ]; then
     mv ${rootdir}/resources/camel-k-catalog-"${runtime_version}"-catalog.yaml ${rootdir}/resources/camel-catalog-"${runtime_version}".yaml
 elif [[ $runtime_version == *"SNAPSHOT" ]]; then
diff --git a/script/maven-settings.xml b/script/maven-settings.xml
index c06419ffe..4d39551d1 100644
--- a/script/maven-settings.xml
+++ b/script/maven-settings.xml
@@ -25,32 +25,32 @@ under the License.
         <profile>
             <id>apache</id>
             <repositories>
-	        <repository>
-	            <id>apache-snapshots</id>
-	            <name>Apache Snapshots Repository</name>
-	            <url>https://repository.apache.org/content/repositories/snapshots-group</url>
-	            <releases>
-	                <enabled>false</enabled>
-	                <updatePolicy>never</updatePolicy>
-	            </releases>
-	            <snapshots>
-	                <enabled>true</enabled>
-                    <updatePolicy>always</updatePolicy>
-	            </snapshots>
-	        </repository>
-            <repository>
-	            <id>apache-staging</id>
-	            <name>Apache Staging Repository</name>
-	            <url>https://repository.apache.org/content/repositories/orgapachecamel-1484</url>
-	            <releases>
-	                <enabled>true</enabled>
-	                <updatePolicy>never</updatePolicy>
-	            </releases>
-	            <snapshots>
-	                <enabled>false</enabled>
-	            </snapshots>
-	        </repository>
-	    </repositories>
+				<repository>
+					<id>apache-snapshots</id>
+					<name>Apache Snapshots Repository</name>
+					<url>https://repository.apache.org/content/repositories/snapshots-group</url>
+					<releases>
+						<enabled>false</enabled>
+						<updatePolicy>never</updatePolicy>
+					</releases>
+					<snapshots>
+						<enabled>true</enabled>
+						<updatePolicy>always</updatePolicy>
+					</snapshots>
+				</repository>
+				<repository>
+					<id>apache-staging</id>
+					<name>Apache Staging Repository</name>
+					<url>https://repository.apache.org/content/repositories/orgapachecamel-1484</url>
+					<releases>
+						<enabled>true</enabled>
+						<updatePolicy>never</updatePolicy>
+					</releases>
+					<snapshots>
+						<enabled>false</enabled>
+					</snapshots>
+				</repository>
+	    	</repositories>
         </profile>
     </profiles>
 </settings>
\ No newline at end of file